#!/usr/bin/env node
import {executeCmd} from "./utilt"
import * as fs from "fs"
import * as path from "path";
let argumentList:any=process.argv;
let currentDir=process.cwd();
let rootPath=path.join(__dirname,"..");
console.log(argumentList)
if(argumentList.length>2){
    
    if(argumentList[2]=="serve" ){
        try{
            fs.writeFileSync(rootPath+"/build/index.html","","utf8");
            fs.copyFileSync(currentDir+"/public/index.html",rootPath+"/build/index.html");
            executeCmd("npx webpack serve --config "+rootPath+"/webpack.config.js")
            .then((result)=>{
                console.log(result);
            })
            .catch((err)=>{
                console.log("err",err)
            })
       }
       catch(err){
        console.log(err);
       }
    }
    else if(argumentList[2]=="build"){
      if(!fs.existsSync(currentDir+"/build")){
         fs.mkdirSync(currentDir+"/build")
      }
      fs.cpSync(currentDir+"/public",currentDir+"/build",{recursive:true});
      executeCmd("npx webpack --config "+rootPath+"/webpack-build.config.js")
      .then((result)=>{
          console.log(result);
      })
      .catch((err)=>{
          console.log("err",err)
      })
    }
  else if(argumentList[2]=="create"){
    fs.cpSync(rootPath+"/example",currentDir,{recursive:true});
  }

}
